Subject: Re: [RFC PATCH -V2 02/21] powerpc: Save DAR and DSISR in pt_regs on MCE

From: Paul Mackerras <[email-masked]>
Date: Fri, 22 Feb 2013 16:03:27 +1100

On Thu, Feb 21, 2013 at 10:17:09PM +0530, Aneesh Kumar K.V wrote:
> From: "Aneesh Kumar K.V" <[email-masked]>
> 
> We were not saving DAR and DSISR on MCE. Save then and also print the values
> along with exception details in xmon.

The one reservation I have about this is that xmon will now be
printing bogus values on 32-bit and embedded processors.  However, it
seems 32-bit doesn't set regs->dar on a DSI (300) interrupt either.
So:

Acked-by: Paul Mackerras <[email-masked]>